> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-dfb0ffc0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eka User by ID

> ### Overview
Retrieve a single Eka User's profile using either the Eka ID or the partner-provided ID.

**Endpoint:** `{{HOST}}/cdr/v1/ekauser/{user_id}/`

**Method:** `GET`

### Path Parameters

| Parameter | Type   | Description                                                | Required |
| --------- | ------ | ---------------------------------------------------------- | -------- |
| user_id   | string | Eka User's Eka ID or partner-provided ID                   | Yes      |



## OpenAPI

````yaml get /cdr/v1/ekauser/{user_id}/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/ekauser/{user_id}/:
    get:
      tags:
        - HIP Users API
      summary: Get Eka User by ID
      description: >-
        ### Overview

        Retrieve a single Eka User's profile using either the Eka ID or the
        partner-provided ID.


        **Endpoint:** `{{HOST}}/cdr/v1/ekauser/{user_id}/`


        **Method:** `GET`


        ### Path Parameters


        | Parameter | Type   |
        Description                                                | Required |

        | --------- | ------ |
        ---------------------------------------------------------- | -------- |

        | user_id   | string | Eka User's Eka ID or partner-provided
        ID                   | Yes      |
      operationId: GetEkaUserById
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: user_id
          in: path
          description: Eka User's Eka ID or partner-provided ID
          required: true
          style: simple
          schema:
            type: string
            example: '176917697553584'
      responses:
        '200':
          description: OK - Eka User details retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                        example: '176917697553584'
                      firstname:
                        type: string
                        example: Amit
                      lastname:
                        type: string
                        example: Kumar
                      mobile:
                        type: string
                        example: '+919876543210'
                      email:
                        type: string
                        example: amit.kumar@example.com
                      is_admin:
                        type: boolean
                        example: false
                      seat_type:
                        type: string
                        description: Seat type (b - basic, p - premium)
                        example: b
                      doctors:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: do1769174683513
                            firstname:
                              type: string
                              example: Rajesh
                            lastname:
                              type: string
                              example: Sharma
                      clinics:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: c-ab2c-34f2d-2gwd-2g2g
                            name:
                              type: string
                              example: Sunrise Clinic
                      partner_id:
                        type: string
                        example: Part_user_1
        '404':
          description: Eka User not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: User not found. Please check the provided ID.

````